/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#ifndef ___U_FILE_H___
#define ___U_FILE_H___

#include	"machine/include.h"

#define UTC_00_00_00_01_01_2001	978307200

#define TFMT_UNIX	1
#define TFMT_W3C_DTF	2

typedef struct _sys_param {
	unsigned int		cpu;
	unsigned int		max_fd;
} _SYS_PARAM;

typedef struct _u_stat {
	unsigned int		us_atime;
	unsigned int		us_mtime;
	unsigned int		us_ctime;
} U_STAT;



extern _SYS_PARAM	sys_param;

int u_stat(char * path,U_STAT * buf);


#ifndef U_FILE_LIB
int u_open(char *,int,...);
int u_open64(char *,int,...);
#endif
int u_close(int);
int u_write(int,void *,int);
int u_read(int,void*,int);
int u_lseek(int,int,int);
INTEGER64 u_lseek64(int,INTEGER64,int);


#endif


